
import processing.net.*;     
Server myServer;        

void setup()
{
  size(400, 400);
  background(0);
  myServer = new Server(this, 5555);
  println(myServer.ip());
}

void draw()
{
  // get an active client
  Client c = myServer.available();
  if (c == null) return;

  // read a line from buffer
  String s = c.readStringUntil(10);
  if (s == null) return;

  // split input line to tokens
  s = s.trim();
  String[] tokens = split(s, ' ');
  if (tokens.length < 2) return;

  // decode and draw the circle
  float x = float(tokens[0]);
  float y = float(tokens[1]);
  background(0);
  fill(255);
  ellipse(x, y, 50, 50);

  println(s);
}